function chng(x) {
if(x==0) valact()
}
function exswap()
{
	return
}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=-1

        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd;i++) if(document.plancform.elements[i].type!="checkbox" && document.plancform.elements[i].value!="") fld=i
                if(fld== -1) return false  // document.plancform.elements[0].value="*"
                return true
        }
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.plancform.elements[row].value)-1
if(document.plancform.elements[row+1].value !="")
if(document.plancform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.plancform.elements[nhd+i*ncd+j].value=document.plancform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.plancform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.plancform.elements[nhd+i*ncd+j].value=document.plancform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.plancform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.plancform.elements[i].value=""
	if(document.plancform.elements[i].type=="checkbox")
		document.plancform.elements[i].checked=false
}
document.plancform.elements[i++].disabled=false
document.plancform.elements[i++].disabled=true
document.plancform.elements[0].readOnly=false
tp=0
for (j=i;j< document.plancform.elements.length;j++)
if(document.plancform.elements[j].type=="text") document.plancform.elements[j].value=""
swapout()
}
